Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2882933002: Add update available icon in system tray (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 1 week ago by weidongg
Modified:
5 months ago
Reviewers:
stevenjb, sky, dcheng
CC:
chromium-reviews, sadrul, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, oshima+watch_chromium.org, kalyank, darin (slow to review), davemoore+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add update available icon in system tray - Show an update available icon in system tray upon receiving NEED_PERMISSION_TO_UPDATE state from update engine. - This icon brings user to the about Chrome OS page and prompts update warning window with update size. - Design doc: go/cros-cellular-updates BUG=chromium:691108 TEST=None CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2882933002 Cr-Commit-Position: refs/heads/master@{#473614} Committed: https://chromium.googlesource.com/chromium/src/+/ef06a6f4d0434cbc277103b953ed33b12d0d0261

Patch Set 1 #

Total comments: 12

Patch Set 2 : Delay RequestUpdateCheck until the aboutChromeOS page is loaded #

Total comments: 8

Patch Set 3 : Add update available icon in system tray #

Total comments: 6

Patch Set 4 : Apply fix to patch set 3 #

Total comments: 4

Patch Set 5 : Migrate notification to observer #

Patch Set 6 : Remove duplicate header files. #

Total comments: 4

Patch Set 7 : Remove observer to its own file #

Total comments: 2

Patch Set 8 : Add file to BUILD.gn #

Unified diffs Side-by-side diffs Delta from patch set Stats (+167 lines, -19 lines) Patch
M ash/ash_strings.grd View 1 chunk +4 lines, -0 lines 0 comments Download
M ash/public/interfaces/system_tray.mojom View 1 2 3 2 chunks +12 lines, -3 lines 0 comments Download
M ash/system/tray/system_tray_controller.h View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M ash/system/tray/system_tray_controller.cc View 1 2 3 2 chunks +16 lines, -0 lines 0 comments Download
M ash/system/update/tray_update.h View 1 2 chunks +6 lines, -0 lines 0 comments Download
M ash/system/update/tray_update.cc View 1 2 3 5 chunks +30 lines, -6 lines 0 comments Download
M chrome/browser/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/upgrade_detector_chromeos.cc View 1 chunk +13 lines, -9 lines 0 comments Download
M chrome/browser/resources/settings/about_page/about_page.js View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/ash/system_tray_client.h View 1 2 3 4 5 6 4 chunks +10 lines, -1 line 0 comments Download
M chrome/browser/ui/ash/system_tray_client.cc View 1 2 3 4 5 6 7 chunks +21 lines, -0 lines 0 comments Download
M chrome/browser/upgrade_detector.h View 1 2 3 4 5 6 4 chunks +14 lines, -0 lines 0 comments Download
M chrome/browser/upgrade_detector.cc View 1 2 3 4 5 6 2 chunks +13 lines, -0 lines 0 comments Download
A chrome/browser/upgrade_observer.h View 1 2 3 4 5 6 7 1 chunk +20 lines, -0 lines 0 comments Download
M chrome/common/url_constants.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/url_constants.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   closure_compilation   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   chromium_presubmit   chromium_presubmit   win_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   closure_compilation   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_android   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 46 (16 generated)
weidongg
https://codereview.chromium.org/2882933002/diff/1/ash/system/update/tray_update.cc File ash/system/update/tray_update.cc (right): https://codereview.chromium.org/2882933002/diff/1/ash/system/update/tray_update.cc#newcode124 ash/system/update/tray_update.cc:124: Shell::Get()->system_tray_controller()->ShowAboutChromeOS(); Here I want to show the about Chrome ...
5 months, 1 week ago (2017-05-15 04:54:13 UTC) #2
stevenjb
https://codereview.chromium.org/2882933002/diff/1/ash/public/interfaces/system_tray.mojom File ash/public/interfaces/system_tray.mojom (right): https://codereview.chromium.org/2882933002/diff/1/ash/public/interfaces/system_tray.mojom#newcode66 ash/public/interfaces/system_tray.mojom:66: ShowAboutChromeOS(); nit: Put this next to 'ShowHelp', and update ...
5 months, 1 week ago (2017-05-15 18:06:45 UTC) #3
weidongg
https://codereview.chromium.org/2882933002/diff/1/ash/system/update/tray_update.cc File ash/system/update/tray_update.cc (right): https://codereview.chromium.org/2882933002/diff/1/ash/system/update/tray_update.cc#newcode124 ash/system/update/tray_update.cc:124: Shell::Get()->system_tray_controller()->ShowAboutChromeOS(); On 2017/05/15 18:06:45, stevenjb wrote: > On 2017/05/15 ...
5 months, 1 week ago (2017-05-15 20:06:58 UTC) #4
stevenjb
https://codereview.chromium.org/2882933002/diff/1/chrome/common/url_constants.h File chrome/common/url_constants.h (right): https://codereview.chromium.org/2882933002/diff/1/chrome/common/url_constants.h#newcode358 chrome/common/url_constants.h:358: extern const char kHelpSubPage[]; On 2017/05/15 20:06:57, weidongg wrote: ...
5 months, 1 week ago (2017-05-15 20:25:28 UTC) #5
weidongg
https://codereview.chromium.org/2882933002/diff/1/ash/public/interfaces/system_tray.mojom File ash/public/interfaces/system_tray.mojom (right): https://codereview.chromium.org/2882933002/diff/1/ash/public/interfaces/system_tray.mojom#newcode66 ash/public/interfaces/system_tray.mojom:66: ShowAboutChromeOS(); On 2017/05/15 18:06:45, stevenjb wrote: > nit: Put ...
5 months, 1 week ago (2017-05-16 19:46:08 UTC) #6
stevenjb
https://codereview.chromium.org/2882933002/diff/20001/ash/public/interfaces/system_tray.mojom File ash/public/interfaces/system_tray.mojom (right): https://codereview.chromium.org/2882933002/diff/20001/ash/public/interfaces/system_tray.mojom#newcode80 ash/public/interfaces/system_tray.mojom:80: // Show the about chrome OS page. Shows https://codereview.chromium.org/2882933002/diff/20001/ash/public/interfaces/system_tray.mojom#newcode83 ...
5 months, 1 week ago (2017-05-16 19:49:07 UTC) #7
weidongg
https://codereview.chromium.org/2882933002/diff/20001/chrome/browser/ui/ash/system_tray_client.cc File chrome/browser/ui/ash/system_tray_client.cc (right): https://codereview.chromium.org/2882933002/diff/20001/chrome/browser/ui/ash/system_tray_client.cc#newcode194 chrome/browser/ui/ash/system_tray_client.cc:194: // page is loaded. On 2017/05/16 19:49:06, stevenjb wrote: ...
5 months, 1 week ago (2017-05-16 19:58:37 UTC) #8
stevenjb
https://codereview.chromium.org/2882933002/diff/20001/chrome/browser/ui/ash/system_tray_client.cc File chrome/browser/ui/ash/system_tray_client.cc (right): https://codereview.chromium.org/2882933002/diff/20001/chrome/browser/ui/ash/system_tray_client.cc#newcode194 chrome/browser/ui/ash/system_tray_client.cc:194: // page is loaded. On 2017/05/16 19:58:36, weidongg wrote: ...
5 months, 1 week ago (2017-05-16 20:42:34 UTC) #9
weidongg
https://codereview.chromium.org/2882933002/diff/20001/ash/public/interfaces/system_tray.mojom File ash/public/interfaces/system_tray.mojom (right): https://codereview.chromium.org/2882933002/diff/20001/ash/public/interfaces/system_tray.mojom#newcode80 ash/public/interfaces/system_tray.mojom:80: // Show the about chrome OS page. On 2017/05/16 ...
5 months, 1 week ago (2017-05-17 00:27:23 UTC) #11
stevenjb
Better, thanks! https://codereview.chromium.org/2882933002/diff/40001/ash/system/update/tray_update.cc File ash/system/update/tray_update.cc (right): https://codereview.chromium.org/2882933002/diff/40001/ash/system/update/tray_update.cc#newcode124 ash/system/update/tray_update.cc:124: true /* check_for_update */); This appears to ...
5 months, 1 week ago (2017-05-17 16:56:32 UTC) #12
weidongg
https://codereview.chromium.org/2882933002/diff/40001/ash/system/update/tray_update.cc File ash/system/update/tray_update.cc (right): https://codereview.chromium.org/2882933002/diff/40001/ash/system/update/tray_update.cc#newcode124 ash/system/update/tray_update.cc:124: true /* check_for_update */); On 2017/05/17 16:56:31, stevenjb wrote: ...
5 months, 1 week ago (2017-05-17 18:33:37 UTC) #13
stevenjb
lgtm
5 months, 1 week ago (2017-05-17 19:11:37 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2882933002/60001
5 months, 1 week ago (2017-05-17 19:17:02 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/440141)
5 months, 1 week ago (2017-05-17 19:53:18 UTC) #18
weidongg
sky@chromium.org: Please review changes.
5 months, 1 week ago (2017-05-17 20:29:19 UTC) #20
weidongg
On 2017/05/17 20:29:19, weidongg wrote: > mailto:sky@chromium.org: Please review changes. Please review changes in chrome/browser/chrome_notification_types.h ...
5 months, 1 week ago (2017-05-17 20:30:26 UTC) #21
sky
https://codereview.chromium.org/2882933002/diff/60001/chrome/browser/chrome_notification_types.h File chrome/browser/chrome_notification_types.h (right): https://codereview.chromium.org/2882933002/diff/60001/chrome/browser/chrome_notification_types.h#newcode276 chrome/browser/chrome_notification_types.h:276: // Sent when Chrome believes an update is available, ...
5 months, 1 week ago (2017-05-18 15:50:44 UTC) #22
weidongg
https://codereview.chromium.org/2882933002/diff/60001/chrome/browser/chrome_notification_types.h File chrome/browser/chrome_notification_types.h (right): https://codereview.chromium.org/2882933002/diff/60001/chrome/browser/chrome_notification_types.h#newcode276 chrome/browser/chrome_notification_types.h:276: // Sent when Chrome believes an update is available, ...
5 months, 1 week ago (2017-05-18 20:36:35 UTC) #23
weidongg
5 months, 1 week ago (2017-05-18 20:36:36 UTC) #24
sky
https://codereview.chromium.org/2882933002/diff/100001/chrome/browser/upgrade_detector.h File chrome/browser/upgrade_detector.h (right): https://codereview.chromium.org/2882933002/diff/100001/chrome/browser/upgrade_detector.h#newcode30 chrome/browser/upgrade_detector.h:30: class UpgradeObserver { Remove this to it's own file ...
5 months, 1 week ago (2017-05-18 23:41:56 UTC) #25
weidongg
https://codereview.chromium.org/2882933002/diff/100001/chrome/browser/upgrade_detector.h File chrome/browser/upgrade_detector.h (right): https://codereview.chromium.org/2882933002/diff/100001/chrome/browser/upgrade_detector.h#newcode30 chrome/browser/upgrade_detector.h:30: class UpgradeObserver { On 2017/05/18 23:41:56, sky wrote: > ...
5 months ago (2017-05-19 01:29:53 UTC) #26
sky
LGTM with the following change as well as adding the new file to the appropriate ...
5 months ago (2017-05-19 14:22:28 UTC) #27
sky
Also, please file a bug to convert remaining uses to observer.
5 months ago (2017-05-19 14:22:46 UTC) #28
weidongg
Thanks for the review, I just filed a bug to migrate the rest of upgrade ...
5 months ago (2017-05-19 17:43:08 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2882933002/140001
5 months ago (2017-05-19 20:55:31 UTC) #36
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/442867)
5 months ago (2017-05-19 21:05:56 UTC) #38
weidongg
Please review the changes in ash/public/interfaces/system_tray.mojom
5 months ago (2017-05-20 01:09:40 UTC) #40
dcheng
LGTM
5 months ago (2017-05-22 09:26:55 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2882933002/140001
5 months ago (2017-05-22 16:32:28 UTC) #43
commit-bot: I haz the power
5 months ago (2017-05-22 17:47:39 UTC) #46
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/ef06a6f4d0434cbc277103b953ed...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa